2017-06-25 06:10 BST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002583OpenFOAM[All Projects] Bugpublic2017-06-15 16:45
Reporteroertel59 
Assigned Tohenry 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformGNU/LinuxOSUbuntuOS Version14.04
Product Versiondev 
Target VersionFixed in Versiondev 
Summary0002583: Compressibility (variable density) for pureIsothermalPhaseModel in reactingEulerFoam
DescriptionIf the user wants to apply the pureIsothermalPhaseModel type for a reactingEulerFoam simulation while taking into account density changes due to hydrostatic pressure changes by using e.g. the perfectGas equation of state, this will effect the density of the phase, but the compressibility parts of the pressure equation in pEqn.H will not be constructed. Therefore the respective phase will not expand.

The reason for this seems to be the missing boolean function in the IsothermalPhaseModel class

        // Compressibility (variable density)

            //- Return true if the phase is compressible otherwise false
            virtual bool compressible() const;

which exists only in the AnisothermalPhaseModel class.

Could this function be added to the IsothermalPhaseModel class or is there a specific reason why this is not done?
Steps To ReproduceUsing the attached 1D "bubbleColumn" tutorial with identical temperatures for both phases and exchanging

purePhaseModel

by

pureIsothermalPhaseModel

for air and water shows, that the axial void fraction/phase velocity changes over height for the former, but not for the latter.
Additional InformationThe faceMomentum option was used in the test to suppress checkerboarding which was observed for the default formulation.

A constant instead of isothermal diameterModel was used for the air phase, to make sure that the velocity doesn't change due to the diameter-dependent drag coefficient.
TagsreactingEulerFoam
Attached Files

-Relationships
+Relationships

-Notes

~0008220

henry (manager)

The option of having density a function of pressure but not temperature had not been considered and it should have been so yes the compressible() should be added. Could you test this and provide a patch?

~0008221

oertel59 (reporter)

I attached the patch as well as the test results. A comparison of the 100s time directory for the purePhaseModel and the pureIsothermal version shows that the patch works, albeit there are minor differences due to the slight temperature variation for the purePhaseModel test.

~0008222

henry (manager)

Thanks for the patch.

Resolved by commit 77ade5a706628540e47ca8bbdf63c43ef544126c
+Notes

-Issue History
Date Modified Username Field Change
2017-06-14 15:24 oertel59 New Issue
2017-06-14 15:24 oertel59 File Added: 1DbubbleColumn.tar.gz
2017-06-14 15:24 oertel59 Tag Attached: reactingEulerFoam
2017-06-14 15:40 henry Note Added: 0008220
2017-06-15 07:57 oertel59 File Added: 1DbubbleColumnResolved.tar.gz
2017-06-15 07:57 oertel59 File Added: IsothermalPhaseModel_patch.tar.gz
2017-06-15 07:59 oertel59 Note Added: 0008221
2017-06-15 16:45 henry Assigned To => henry
2017-06-15 16:45 henry Status new => resolved
2017-06-15 16:45 henry Resolution open => fixed
2017-06-15 16:45 henry Fixed in Version => dev
2017-06-15 16:45 henry Note Added: 0008222
+Issue History